summaryrefslogtreecommitdiff
path: root/iwd2
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-08-16 02:25:28 +0100
committerNick White <git@njw.me.uk>2009-08-16 02:25:28 +0100
commit4f837e2cef827e6f700c5ae180551510ffedc718 (patch)
tree403525e52860588ed9e9336b2197c26034bfe797 /iwd2
parent95fa96a6c1d34ba8e53f8e9badd8c0d0c94eff37 (diff)
downloadgemrb-gameinstallers-4f837e2cef827e6f700c5ae180551510ffedc718.tar.bz2
gemrb-gameinstallers-4f837e2cef827e6f700c5ae180551510ffedc718.zip
Work around unshield bug
Basically, if extracting to a directory which was not itself lowercase, unshield would fail. This patch cds to the directory first, to work around the issue. http://sourceforge.net/tracker/?func=detail&aid=2801016&group_id=30550&atid=399601
Diffstat (limited to 'iwd2')
-rwxr-xr-xiwd2/install-2cd-us-minimal.sh4
-rwxr-xr-xiwd2/install-patch-us.sh4
2 files changed, 6 insertions, 2 deletions
diff --git a/iwd2/install-2cd-us-minimal.sh b/iwd2/install-2cd-us-minimal.sh
index 5af6459..a402b53 100755
--- a/iwd2/install-2cd-us-minimal.sh
+++ b/iwd2/install-2cd-us-minimal.sh
@@ -28,7 +28,9 @@ getcd 1 $IWD2_2CD_US_MD5 data1.cab
mkdir -p "$TARGETDIR" || die
-unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
+# work around unshield bug (#2801016 in SynCE project)
+#unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
+cd "$TARGETDIR" && unshield -d . -L x "${CDMOUNT}/data1.cab" || die
move_and_remove "${TARGETDIR}/minimum_compressed_-_us_english/" "$TARGETDIR" || die
move_and_remove "${TARGETDIR}/minimum_compressed_-_language_independent/" "$TARGETDIR" || die
diff --git a/iwd2/install-patch-us.sh b/iwd2/install-patch-us.sh
index 2528e44..83b0b37 100755
--- a/iwd2/install-patch-us.sh
+++ b/iwd2/install-patch-us.sh
@@ -35,7 +35,9 @@ setuptmp
getpatch $patch_url
cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
-unshield -d "$TMPDIR" -L x "${TMPDIR}/disk1/data1.cab" || diesoftly
+# work around unshield bug (#2801016 in SynCE project)
+#unshield -d "$TMPDIR" -L x "${TMPDIR}/disk1/data1.cab" || diesoftly
+cd "$TMPDIR" && unshield -d . -L x "${TMPDIR}/disk1/data1.cab" || die
cp -R "${TMPDIR}/minimum_compressed_-_language_independent/override/"* "${TARGETDIR}"/override || diesoftly
cp -R "${TMPDIR}/minimum_compressed_-_language_independent/scripts/"* "${TARGETDIR}"/scripts || diesoftly